<?xml version="1.0" encoding="utf-8"?>
<MotionScene 
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetEnd="@+id/end"
        motion:constraintSetStart="@id/start"
        motion:duration="1000">
       <KeyFrameSet>
       </KeyFrameSet>
        <OnSwipe
            motion:touchAnchorId="@+id/playerView"
            motion:dragDirection="dragDown"
            motion:touchAnchorSide="bottom" />
    </Transition>

    <ConstraintSet android:id="@+id/start">
    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">
        <Constraint
            android:id="@+id/playerView"
            android:layout_width="@dimen/sdp_100"
            android:layout_height="@dimen/sdp_80"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_editor_absoluteY="334dp" />
        <Constraint
            android:id="@+id/main_container"
            android:layout_width="match_parent"
            android:layout_height="@dimen/sdp_80"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_editor_absoluteY="334dp" />
        <Constraint
            android:id="@+id/video_overlay"
            android:layout_width="@dimen/sdp_100"
            android:layout_height="@dimen/sdp_80"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_editor_absoluteY="334dp" />
        <Constraint
            android:id="@+id/previous"
            motion:layout_constraintEnd_toEndOf="@id/play_pause"
            motion:layout_constraintStart_toEndOf="@+id/playerView"
            android:layout_width="@dimen/sdp_25"
            android:layout_height="@dimen/sdp_25"
            motion:layout_constraintBottom_toTopOf="@+id/scrollView"
            motion:layout_constraintVertical_bias="0.484"
            android:layout_marginEnd="@dimen/sdp_10"
            android:alpha="1"
            android:layout_marginStart="10dp"
            motion:layout_constraintTop_toTopOf="@+id/playerView" />
        <Constraint
            android:id="@+id/play_pause"
            motion:layout_constraintEnd_toStartOf="@id/next"
            motion:layout_constraintStart_toEndOf="@+id/previous"
            android:layout_width="@dimen/sdp_25"
            android:layout_height="@dimen/sdp_25"
            motion:layout_constraintBottom_toTopOf="@+id/scrollView"
            android:layout_marginEnd="@dimen/sdp_10"
            android:alpha="1"
            android:layout_marginStart="@dimen/sdp_10"
            motion:layout_constraintTop_toTopOf="@+id/playerView" />
        <Constraint
            android:id="@+id/next"
            motion:layout_constraintEnd_toEndOf="@id/volume"
            motion:layout_constraintStart_toEndOf="@+id/play_pause"
            android:layout_width="@dimen/sdp_25"
            android:layout_height="@dimen/sdp_25"
            android:visibility="visible"
            motion:layout_constraintBottom_toTopOf="@+id/scrollView"
            android:layout_marginEnd="@dimen/sdp_10"
            android:alpha="1"
            android:layout_marginStart="@dimen/sdp_10"
            motion:layout_constraintTop_toTopOf="@+id/playerView" />
        <Constraint
            android:id="@+id/volume"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintStart_toEndOf="@+id/next"
            android:layout_width="@dimen/sdp_25"
            android:layout_height="@dimen/sdp_25"
            android:visibility="visible"
            motion:layout_constraintBottom_toTopOf="@+id/scrollView"
            android:layout_marginEnd="@dimen/sdp_10"
            android:alpha="1"
            android:layout_marginStart="@dimen/sdp_10"
            motion:layout_constraintTop_toTopOf="@+id/playerView" />
        <Constraint
            android:id="@+id/header"
            android:elevation="0dp"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            android:alpha="0"/>
        <Constraint
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            motion:layout_constraintTop_toBottomOf="@+id/playerView"
            motion:layout_constraintStart_toStartOf="parent"
            android:alpha="0" />
        <Constraint
            android:id="@+id/no_data_found"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="1dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            android:visibility="visible"
            android:alpha="0"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent" />
        <Constraint
            android:id="@+id/loader"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="@dimen/sdp_30"
            android:layout_height="1dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            android:visibility="gone" />
        <Constraint
            android:id="@+id/color"
            android:layout_width="match_parent"
            android:layout_height="@dimen/sdp_80"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintStart_toStartOf="parent" />
    </ConstraintSet>
</MotionScene>